import React,{ Component } from 'react';

import { connect } from 'react-redux';

import './login.css';


class Login extends Component{
	constructor(props){
		super(props);
		this.login = this.login.bind(this);
	}

	login(){
		let userName = this.txtUserName.value,
			password = this.txtPassword.value;
		this.props.doLogin({ userName,password },this.props.history);
	}



	render(){
		let btn = <button　type="button" onClick={this.login}　>登录</button>;
		if(this.props.isLoading){
			btn = <button disabled　type="button" onClick={this.login}　>登录</button>;
		}
		return (
			<div　className="login"　>
				<input type="text" ref={r=>{this.txtUserName = r}} placeholder="请输入用户名" />
				<br/>
				<input type="password"  ref={r=>{this.txtPassword = r}} placeholder="请输入密码"	/>
				<br/>
				{btn}
			</div>
		)
	}
}

export default connect(state=>state.login,(dispatch)=>({
	doLogin:function({userName,password},history){
		dispatch({
			type:'LOADING',
			isLoading:true
		});
		if(userName ==='admin' && password =="123456"){
			dispatch({
				type:'USER_LOGIN_SUCCESS',
				user:userName
			});
			history.push('/dash');
		}
		setTimeout(function(){
			dispatch({
			type:'LOADING',
			isLoading:false
		});
		},1000)
	}
}))(Login);