import { combineReducers } from 'redux';

export default combineReducers({
    login: function(state = { isLoading: false }, action) {
        switch (action.type) {
            case 'LOADING':
                return Object.assign({}, state, { isLoading: action.isLoading });
            case 'USER_LOGIN_SUCCESS':
                return Object.assign({}, state, { user: action.user });
            default:
                return state;
        }
    }
})